Minecraft 1.11 Roadmap

Discussion in 'News and Announcements' started by md_5, Nov 9, 2016.

Thread Status:
Not open for further replies.
  1. Wat it is change on API With BungeeCord, Spigot for 1.11 ?
     
  2. Download a plugin for disable that :)
     
    • Agree Agree x 1
  3. The reason why I stay on 1.7/1.8 not due to my players whining 1.9 PvP sucks, they would get used to it! I remain sadly using old version as tnt mechanics have changed so much nobody understands it and there is not much done about it meaning servers such as factions where cannon raiding is important are forced to stay on old versions. I hope one day I'll be able to switch to 1.1X
     
  4. MiniDigger

    Supporter

    thank you, will give that another watch later.
     
  5. Changes between 1.10 and 1.11 on packet layer are very small.. So prepare for 1.10 - 1.11 servers or even 1.8 - 1.11.
     
  6. MiniDigger

    Supporter

    viaversion is already updated. but you should really consider using up to date server software...
     
  7. Yeah people! UPDATE!
    Thanks md_5! <3 <3 <3 <3 <3
     
  8. PhanaticD

    Patron

    I agree, I am using 1.10 right now and the biggest complaint is tnt cannons no longer functioning how they did
     
  9. MiniDigger

    Supporter

    I know nothing about that, but are ppl unable to build new designs that work on 1.10? I can't really believe that
     
    • Like Like x 1
  10. The problem is that they completely changed tnt behavior, made it flow, not stack into each other and inside sand, and nerfed its strenght.
    And don't forget, we are talking about a 10-15 years old playerbase here, they refuse to accept changes.

    Yeah I don't see myself changing Factions to 1.1X before anything is resolved about that, or I find a new intersting but balanced way of raiding.
     
  11. PhanaticD

    Patron

    I have not found any working designs, especially for sand stacking cannons to get through walls covered in water :/
     
  12. Will there a version from BungeeCord released, without the protocol-hack for other versions???
     
  13. Bungee doesn't support older version I think, I believe that is where ViaVersion comes in
     
  14. FormallyMyles

    Supporter

    BungeeCord doesn't contain a ProtocolHack, it contains Protocol compatibility so it works with 1.8, 1.9, 1.10 but you are required to have a backend Spigot / Bukkit / Server Software supporting that.

    Whether they drop support for older versions in the future, is another question.
     
  15. MiniDigger

    Supporter

    with the current mindset of md_5 I would not be surprised if he throws out 1.8 support in bungee for 1.11 :D
     
  16. If I could I would update to 1.10.2 right now, but just because I love 1.10.2 doesn't mean that my players love 1.10.2... I lost a huge chunk of my player base when I updated from 1.7.10 to 1.8.8 (my server allowed 1.7.2 - 1.10.2) and I really don't want to lose more players again.

    Also... there is still servers (and huge ones, at least in Brazil) that still uses 1.5.2... yeah, you didn't read that wrong, 1.5.2.

    Also, you shouldn't give a fuck if someone with outdated servers are asking you to give support, they want support? Tell them to update to latest version or GTFO.
     
    #76 MrPowerGamerBR, Nov 9, 2016
    Last edited: Nov 9, 2016
  17. Are we looking at plugins breaking for 1.11? There are so many that haven't been updated in a very long time.
     
  18. I wont be shocked. If that does happen soon.
     
  19. My friends and I were going to start a new server on the 19th... If we start a 1.10.2 server as planned, then update to 1.11 next week will the game generate the woodland mansion in the far reaches where we haven't explored by then?
     
  20. Most people who still use 1.7 are running modded servers, which is kinda obvious why it's stuck on 1.7
    Waiting for Sponge to get out of Beta so they can move on to the latest versions.
     
Thread Status:
Not open for further replies.